package com.zbkj.service.wangshang.api.domain.model.order;

import com.zbkj.service.wangshang.api.domain.RequestBody;
import com.zbkj.service.wangshang.api.domain.RespInfo;

import javax.xml.bind.annotation.*;


/**
 * 协议授权代扣接口
 * <ant.mybank.bkcloudfunds.order.withhold.apply>
 * **/
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name ="body")
public class BkcloudfundsOrderWithholdApplyResponseModel extends RequestBody {


    private static final long serialVersionUID = 1100343568595582622L;

    /**
     * 返回码组件
     */
    @XmlElementRef
    private RespInfo respInfo;

    /**
     * 合作方机构号
     * <p>
     * 网商银行分配
     * */
    @XmlElement(name = "IsvOrgId")
    private String isvOrgId;

    /**
     * 原外部订单请求流水号
     */
    @XmlElement(name = "OutTradeNo")
    private String outTradeNo;

    /**
     * 当前操作交易号
     */
    @XmlElement(name = "OperateNo")
    private String operateNo;


    public RespInfo getRespInfo() {
        return respInfo;
    }

    public void setRespInfo(RespInfo respInfo) {
        this.respInfo = respInfo;
    }

    public String getIsvOrgId() {
        return isvOrgId;
    }

    public void setIsvOrgId(String isvOrgId) {
        this.isvOrgId = isvOrgId;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    public String getOperateNo() {
        return operateNo;
    }

    public void setOperateNo(String operateNo) {
        this.operateNo = operateNo;
    }
}
